Skip to main content
POST
/
v1
/
admin
/
actions
/
contracts
/
set-paused
Error
A valid request URL is required to generate request examples
{
  "ok": true,
  "paused": true,
  "challengeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
contract
enum<string>
required
Available options:
market_factory,
voting,
oracle,
vault,
market_template
paused
boolean
required
reason
string
required
Required string length: 1 - 500
stepUp
object
required

Response

Default Response

ok
enum<boolean>
required
Available options:
true
contract
enum<string>
required
Available options:
market_factory,
voting,
oracle,
vault,
market_template
paused
boolean
required
challengeId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$